Update an agent
https://{kibana_url}
- PUT /api/agent_builder/agents/{id}
- PUT /s/{space_id}/api/agent_builder/agents/{id}
Refer to Spaces for more information.
Update an existing agent configuration. Use this endpoint to modify any aspect of the agent's behavior, appearance, or capabilities. To learn more about agents, refer to the agents documentation.
[Required authorization] Route required privileges: agentBuilder:manageAgents.
Path Parameters
-
idstringrequired -
The unique identifier of the agent to update.
Request
-
access_controlobject -
access_moderequired -
Technical Preview; added in 9.4.0. Access-control mode:
public(any privileged user can read/write),shared(any privileged user can read, only owner can write),private(only owner can read/write). -
Values:
publicsharedprivate -
avatar_colorstring -
Updated hex color code for the agent avatar.
-
avatar_symbolstring -
Updated symbol/initials for the agent avatar.
-
configurationobject -
Updated configuration settings for the agent.
-
connector_idsstring · max: 100 -
Array of connector IDs to associate with the agent.
-
enable_elastic_capabilitiesboolean -
When true, enables built-in Elastic capabilities for the agent.
-
instructionsstring -
Updated system instructions that define the agent behavior.
-
plugin_idsstring · max: 100 -
Array of plugin IDs to assign to the agent.
-
skill_idsstring · max: 100 -
Array of skill IDs to be available to the agent.
-
workflow_idsstring · max: 100 -
descriptionstring -
Updated description of what the agent does.
-
labelsstring -
Updated labels for categorizing and organizing agents.
-
namestring -
Updated display name for the agent.
Response
Indicates a successful response